#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <string>
#include <vector>

#define TASKNAME "permut"

const int MaxN = 10000, MaxL = 1 << 30;

int p [MaxN], q [MaxN];
int n, k;

void outp (int * p)
{
 int i;
 for (i = 0; i < n; i++)
  printf ("%d%c", p[i] + 1, i + 1 < n ? ' ' : '\n');
}

void mult (int * p, int * q)
{
 int r [MaxN];
 int i;
 for (i = 0; i < n; i++)
  r[i] = p[q[i]];
 memmove (p, r, n * sizeof (int));
}

int main (void)
{
 int i, l;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d %d", &n, &k) != EOF)
 {
  for (i = 0; i < n; i++)
  {
   scanf (" %d", &p[i]);
   p[i]--;
  }
  memmove (q, p, n * sizeof (int));
  for (i = 0; i < n; i++) p[i] = i;
  for (l = 1; l < MaxL; l <<= 1)
  {
   if (k & l)
    mult (p, q);
   mult (q, q);
  }
  outp (p);
 }
 return 0;
}
