#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <string>
#include <vector>

#define TASKNAME "circle"

const int MaxN = 100, MaxK = 10, MaxRes = MaxN * MaxK;

int num [MaxN * 2];
int a [MaxK];
int b [MaxK];
int n, k;
bool ok;

void print_error (const char * str)
{
 printf (str);
 ok = false;
}

int main (void)
{
 int i, j, res;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 ok = true;
 if (scanf (" %d %d", &n, &k) == EOF)
  print_error ("Not enough numbers!\n");
 if (n < 1 || n > MaxN)
  print_error ("N not in range!\n");
 if (k < 0 || k > MaxK)
  print_error ("K not in range!\n");
 for (i = 0; i < k; i++)
 {
  if (scanf (" %d", &a[i]) == EOF)
   print_error ("Not enough numbers!\n");
  a[i]--;
 }
 for (i = 0; i < k; i++)
  for (j = 0; j < i; j++)
   if (a[i] == a[j])
   {
    print_error ("Some two tokens coincide!\n");
    i = k;
    break;
   }
 for (i = 0; i < k; i++)
 {
  if (scanf (" %d", &b[i]) == EOF)
   print_error ("Not enough numbers!\n");
  b[i]--;
 }
 for (i = 0; i < k; i++)
  for (j = 0; j < i; j++)
   if (b[i] == b[j])
   {
    print_error ("Some two destinations coincide!\n");
    i = k;
    break;
   }
 memset (num, -1, sizeof (num));
 for (i = 0; i < k; i++)
  if (b[i] < a[i])
   b[i] += n;
 for (i = 0; i < k; i++)
  num[a[i]] = i;
 for (res = 0; res < MaxRes; res++)
 {
  for (i = 0; i < k; i++)
   if (a[i] != b[i] && num[a[i] + 1] == -1)
    break;
  if (i == k) break;
  num[a[i]] = -1;
  a[i]++;
  num[a[i]] = i;
  printf ("%d: %d -> %d\n", i, a[i] - 1, a[i]);
 }
 for (i = 0; i < k; i++)
  if (a[i] != b[i])
  {
   print_error ("Destination not reachable!\n");
   break;
  }
 if (scanf (" %d", &i) != EOF)
  print_error ("Extra information at end of file.\n");
 if (ok)
  printf ("The test is correct.\n");
 return 0;
}
