#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <string>
#include <vector>

#define TASKNAME "permut"

const int MaxN = 10000, MaxK = 1000000000;

int p [MaxN], q [MaxN];
int n, k;
bool ok;

void print_error (const char * str)
{
 printf (str);
 ok = false;
}

int main (void)
{
 int i;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 ok = true;
 if (scanf (" %d %d", &n, &k) == EOF)
  print_error ("Not enough numbers!\n");
 if (n < 1 || n > MaxN)
  print_error ("N not in range!\n");
 if (k < 0 || k > MaxK)
  print_error ("K not in range!\n");
 for (i = 0; i < n; i++)
 {
  if (scanf (" %d", &p[i]) == EOF)
   print_error ("Not enough numbers!\n");
  p[i]--;
 }
 memset (q, 0, sizeof (q));
 for (i = 0; i < n; i++)
  q[p[i]]++;
 for (i = 0; i < n; i++)
  if (q[i] != 1)
  {
   print_error ("Not a permutation!\n");
   break;
  }
 if (scanf (" %d", &i) != EOF)
  print_error ("Extra information at end of file.\n");
 if (ok)
  printf ("The test is correct.\n");
 return 0;
}
