#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "stairs2"

const int MaxN = 20;

int a [MaxN + 1];
int l, h;
bool ok;

void print_error (const char * str)
{
 printf (str);
 ok = false;
}

int main (void)
{
 int i;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 ok = true;
 if (scanf (" %d %d", &l, &h) == EOF)
  print_error ("Not enough numbers!\n");
 if (l < 1 || l > MaxN)
  print_error ("N not in range!\n");
 if (h < 1 || h > MaxN)
  print_error ("K not in range!\n");
 for (i = 0; i <= l; i++)
 {
  if (scanf (" %d", &a[i]) == EOF)
   print_error ("Not enough numbers!\n");
  a[i]--;
 }
 for (i = 0; i <= l; i++)
  if (a[i] < 0 || a[i] > h)
  {
   print_error ("Array element not in range!\n");
   break;
  }
 if (scanf (" %d", &i) != EOF)
  print_error ("Extra information at end of file.\n");
 if (ok)
  printf ("The test is correct.\n");
 return 0;
}
